import java.sql.*;
public class BatchSelect {	
	static final String driver = "com.mysql.jdbc.Driver";  
	static final String url = "jdbc:mysql://localhost:3306/";
	static final String dbname = "roseindia_jdbc_tutorials";
    static final String dbuser = "root";
    static final String dbpassword = "root";
  public static void main(String[] args) {
	Connection connection = null;
	Statement stmt = null;
  try{
     Class.forName(driver);
     connection = DriverManager.getConnection(url+dbname,dbuser,dbpassword);
     try{
	  stmt = connection.createStatement();	    	  
	  connection.setAutoCommit(false);	    	  
	  String insertquery1 = "INSERT INTO user (user_id, user_name) VALUES(1,'Brijesh')";
	  stmt.addBatch(insertquery1);	    	  
	  String insertquery2 = "INSERT INTO address (id, address) VALUES(1,'Delhi')";
	  stmt.addBatch(insertquery2);	    	
	  stmt.executeBatch();
	  SelectUserdata(stmt);
	  SelectAddressdata(stmt);	    	
	  connection.commit(); 
    }
    catch (SQLException s){
    System.out.println("SQL Exception " + s);
    }
   }
   catch (Exception e){
	   e.printStackTrace();
   }	
  }
 public static void SelectUserdata(Statement stmt) throws SQLException{
		   String sql = "SELECT user_id, user_name FROM user";
		   ResultSet rs = stmt.executeQuery(sql);
		   while(rs.next()){
		      int user_id  = rs.getInt("user_id");
		      String user_name = rs.getString("user_name");

		      System.out.print("user_id: " + user_id);
		      System.out.println(" , user_name: " + user_name);	     
		   }
		  rs.close();	
	  }
	public static void SelectAddressdata(Statement stmt) throws SQLException{
		   		   
		   String sql = "SELECT id, address FROM address";
		   ResultSet rs = stmt.executeQuery(sql);
		   while(rs.next()){
		      int address_id  = rs.getInt("id");
		      String address = rs.getString("address");
		      
		      System.out.print("address_id: " + address_id);
		      System.out.println(" , address: " + address);	     
		   }
		  rs.close();
	  }
   }